import 'package:nui_core/data/nui_ent.dart';

class NUIAuthLoginResult<T>{
  NUIAuthLoginResult({this.accessToken, this.refreshToken, this.expiresIn, this.ssoLoginResult});
  String accessToken;
  String refreshToken;
  int expiresIn;
  T ssoLoginResult;
}

class NUIAuthSignUpResult{
  NUIAuthSignUpResult({this.signupToken});
  String signupToken;
}

class NUIAuthRenewTokenResult{
  NUIAuthRenewTokenResult({this.accessToken, this.refreshToken, this.expiresIn, this.tokenType});
  String accessToken;
  String refreshToken;
  int expiresIn;
  String tokenType;
}